List
curl --request GET \
--url https://{region}.api.plerion.com/v1/tenant/well-architected-frameworks \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/well-architected-frameworks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/well-architected-frameworks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"frameworks": [
{
"id": "AWS-WA-FRAMEWORK",
"name": "AWS Well Architected",
"passedFindings": 15631,
"posture": 43.26,
"totalFindings": 36132,
"isCustom": false,
"providers": {
"id": "AWS-WA-FRAMEWORK",
"name": "AWS Well Architected",
"description": "",
"type": "well_architected_lens",
"version": "2021-11-01",
"enabled": true,
"link": "",
"config": "aws-wa-framework.json",
"releaseDate": "2022-03-21T14:43:37Z",
"lastModifiedDate": "2022-03-11",
"providers": [
"AWS"
]
}
},
{
"id": "AWS-FTR-LENS",
"name": "FTR Lens",
"passedFindings": 920,
"posture": 35.15,
"totalFindings": 2617,
"isCustom": false,
"providers": {
"id": "AWS-FTR-LENS",
"name": "FTR Lens",
"description": "",
"type": "well_architected_lens",
"version": "2021-11-01",
"enabled": true,
"link": "",
"config": "aws-ftr-lens.json",
"releaseDate": "2022-06-19T09:15:01Z",
"lastModifiedDate": "2022-06-19",
"providers": [
"AWS"
]
}
}
],
"totalPosture": 39.2
}
}{
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"message": "Internal server error"
}List well-architected frameworks in a tenant
Returns all AWS Well-Architected Frameworks for the tenant, along with individual framework postures and the tenant’s overall Well-Architected posture.
GET
/
v1
/
tenant
/
well-architected-frameworks
List
Was this page helpful?
Update specific asset group in a tenantDownload a well-architected framework report for an integration in a tenant
⌘I